Data

Update document

Update a document in a collection. Accepts: OrgBearerAuth (for admin users), ProjectBearerAuth (JWT for authenticated users), or ApiKeyAuth (X-API-Key for programmatic access). Both ProjectBearerAuth and ApiKeyAuth are fully implemented.

AuthBearer (JWT)
GroupData
Rate limitSee Rate Limits
PATCH/api/data/projects/{projectId}/collections/{collectionId}/data/{documentId}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, DataApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const data = new DataApi(configuration);
import { Configuration, DataApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const data = new DataApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await data.updateData(
  "proj_tQjlCJY3TEyj",
  "Nf97Oz1DjUajEGRx",
  "7xmR8cqr2Gp5Q5zk",
  {
    firstName: "Arvid",
    lastName: "Parisian",
    email: "maverick.jacobson-cartwright@northwind.dev",
    role: "hard drive navigate",
    status: "transmitter copy"
  }
);
const { data: result } = await data.updateData(
  "proj_tQjlCJY3TEyj",
  "Nf97Oz1DjUajEGRx",
  "7xmR8cqr2Gp5Q5zk",
  {
    firstName: "Arvid",
    lastName: "Parisian",
    email: "maverick.jacobson-cartwright@northwind.dev",
    role: "hard drive navigate",
    status: "transmitter copy"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
collectionIdstringYes
documentIdstringYes

Request Body

json
{}
{}

Responses

200Data updated
json
{
  "message": "Data updated successfully",
  "data": {
    "_id": "685ae1210136e73fa1dcaf36",
    "firstName": "Sarah",
    "lastName": "Chen",
    "email": "sarah.chen@example.com",
    "role": "admin",
    "status": "active",
    "updatedAt": "2024-01-15T11:00:00.000Z"
  }
}
{
  "message": "Data updated successfully",
  "data": {
    "_id": "685ae1210136e73fa1dcaf36",
    "firstName": "Sarah",
    "lastName": "Chen",
    "email": "sarah.chen@example.com",
    "role": "admin",
    "status": "active",
    "updatedAt": "2024-01-15T11:00:00.000Z"
  }
}
Edit this page on GitHub